apiVersion: apps/v1
kind: Deployment
metadata:
  namespace: {{ .Release.Namespace }}
  name: pinry-deployment
  labels:
    app: pinry
spec:
  selector:
    matchLabels:
      app: pinry
  template:
    metadata:
      labels:
        app: pinry
    spec:
      containers:
      - name: pinry
        image: lookslikematrix/pinry:{{ .Chart.AppVersion }}
        volumeMounts:
        - name: pinry-data
          mountPath: /data
      volumes:
      - name: pinry-data
        persistentVolumeClaim:
          claimName: pinry-pvc-data
